Get Revenue Breakdown
curl --request GET \
--url https://api.aries.com/v1/financials/revenue-breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/financials/revenue-breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/revenue-breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cik": "320193",
"data": [
{
"accessNumber": "0000320193-25-000079",
"breakdown": {
"concept": "us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax",
"endDate": "2025-09-27",
"revenueBreakdown": [
{
"axis": "srt_ProductOrServiceAxis",
"data": [
{
"label": "Services",
"member": "us-gaap_ServiceMember",
"percentage": 26.22975242754607,
"unit": "usd",
"value": 109158000000
}
]
},
{
"axis": "srt_ConsolidationItemsAxis",
"data": [
{
"label": "Operating segments",
"member": "us-gaap_OperatingSegmentsMember",
"percentage": 8.09686635701087,
"unit": "usd",
"value": 33696000000
}
]
},
{
"axis": "srt_StatementGeographicalAxis",
"data": [
{
"label": "U.S.",
"member": "country_US",
"percentage": 36.473864682178295,
"unit": "usd",
"value": 151790000000
}
]
}
],
"startDate": "2024-09-29",
"unit": "usd",
"value": 416161000000
}
},
{
"accessNumber": "0001193125-10-162840",
"breakdown": {
"concept": "us-gaap:SalesRevenueNet",
"endDate": "2010-06-26",
"revenueBreakdown": [
{
"axis": "us-gaap:SegmentReportingInformationBySegmentAxis",
"data": [
{
"label": "Europe [Member]",
"member": "aapl:EuropeMember",
"percentage": 29.486208279488434,
"unit": "usd",
"value": 13234000000
}
],
"label": "Segment Reporting Information, by Segment [Axis]"
}
],
"startDate": "2009-09-27",
"unit": "usd",
"value": 44882000000
}
}
],
"symbol": "AAPL"
}
}Financials
Revenue Breakdown
Retrieve detailed revenue segmentation by product lines, geographic regions, and business units. Understand revenue composition and identify growth drivers.
Parameters: symbol and cik are required.
Use Case: Visualize Apple’s revenue breakdown showing iPhone sales as percentage of total revenue.
GET
/
v1
/
financials
/
revenue-breakdown
Get Revenue Breakdown
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
FlowAuthorization Code
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
FlowClient Credentials
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Scopes1
market:supplemental
News, company profiles, financials, filings, ETF data, technical analysis
Query Parameters
Stock ticker symbol to research, such as AAPL. Required when cik is omitted.
Example:
"AAPL"
SEC CIK. Optional when symbol is provided.
Example:
"320193"
Response
Revenue breakdown data.
Show child attributes
Show child attributes
Was this page helpful?